import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Use the <code>AWS::IoT::FleetMetric</code> resource to declare a fleet metric.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iot-fleetmetric.html">the AWS Docs</a>
*/
export function fleetMetric(fleetMetricProps) {
    return new AwsResource('AWS::IoT::FleetMetric', fleetMetricProps, { MetricArn: 'MetricArn', CreationDate: 'CreationDate', LastModifiedDate: 'LastModifiedDate', Version: 'Version' });
}
